## krdp 6.5.1+p24.04+vstable+git20251029.0814

=== debian/changelog ===
krdp (6.5.1+p24.04+vstable+git20251029.0814-0) noble; urgency=medium

  * Automatic Ubuntu CI Build

 -- Neon CI <neon@kde.org>  Wed, 29 Oct 2025 08:14:58 +0000

krdp (6.5.1-0neon) noble; urgency=medium

  * New release

 -- Neon CI <neon@kde.org>  Wed, 29 Oct 2025 06:13:59 +0000
