## krdp 6.5.1+p24.04+vstable+git20251031.0944

=== debian/changelog ===
krdp (6.5.1+p24.04+vstable+git20251031.0944-0) noble; urgency=medium

  * Automatic Ubuntu CI Build

 -- Neon CI <neon@kde.org>  Fri, 31 Oct 2025 09:44:58 +0000
