=== debian/changelog ===
krdp (6.5.2-0ubuntu1) resolute; urgency=medium

  * New upstream release (6.5.2)

 -- Rik Mills <rikmills@kde.org>  Tue, 04 Nov 2025 17:11:46 +0000

krdp (6.5.1-0ubuntu1) resolute; urgency=medium

  * New upstream release (6.5.1)

 -- Rik Mills <rikmills@kde.org>  Wed, 29 Oct 2025 05:46:02 +0000

krdp (6.5.0-0ubuntu1) resolute; urgency=medium

  * New upstream release (6.5.0)
  * Build depend on libpam0g-dev.

 -- Rik Mills <rikmills@kde.org>  Mon, 20 Oct 2025 18:36:44 +0100
