## krdp 6.5.3+p24.04+vunstable+git20251123.0130

=== CMakeLists.txt ===
--- 
+++ 
@@ -1,7 +1,7 @@
 # SPDX-FileCopyrightText: 2023 Arjen Hiemstra <ahiemstra@heimr.nl>
 # SPDX-License-Identifier: BSD-2-Clause
 
-set(PROJECT_VERSION "6.5.3")
+set(PROJECT_VERSION "6.5.80")
 
 cmake_minimum_required(VERSION 3.16)
 
@@ -58,6 +58,9 @@
 if(BUILD_PLASMA_SESSION)
     find_package(PlasmaWaylandProtocols REQUIRED)
 endif()
+
+find_package(Systemd 254)
+set_package_properties(Systemd PROPERTIES TYPE REQUIRED PURPOSE "Required by KCM to activate the KRDP Server units.")
 
 find_package(PAM REQUIRED)
 set_package_properties(PAM PROPERTIES DESCRIPTION "PAM Libraries"
