=== debian/control ===
--- 
+++ 
@@ -5,9 +5,9 @@
 XSBC-Original-Maintainer: Debian Qt/KDE Maintainers <debian-qt-kde@lists.debian.org>
 Uploaders: Aurélien COUDERC <coucouf@debian.org>,
            Patrick Franz <deltaone@debian.org>,
-Build-Depends: cmake (>= 3.16~),
-               debhelper-compat (= 13),
+Build-Depends: debhelper-compat (= 13),
                dh-sequence-kf6,
+               cmake (>= 3.16~),
                extra-cmake-modules (>= 6.18.0~),
                freerdp3-dev (>= 2.10~),
                gettext,
@@ -18,7 +18,7 @@
                libkf6i18n-dev (>= 6.18.0~),
                libkf6kcmutils-dev (>= 6.18.0~),
                libkf6statusnotifieritem-dev (>= 6.18.0~),
-               libkpipewire-dev (>= 6.5.3~),
+               libkpipewire-dev (>= 6.5.4~),
                libpam0g-dev,
                libwinpr3-dev (>= 2.10~),
                libxkbcommon-dev,
