## krdp 6.5.4+p24.04+vstable+git20251231.0338

=== debian/changelog ===
krdp (6.5.4+p24.04+vstable+git20251231.0338-0) noble; urgency=medium

  * Automatic Ubuntu CI Build

 -- Neon CI <neon@kde.org>  Wed, 31 Dec 2025 03:38:02 +0000

krdp (6.5.4-0neon) Noble; urgency=medium

  * New release

 -- Neon CI <neon@kde.org>  Tue, 09 Dec 2025 20:20:15 +1000
