## krdp 6.5.4+p24.04+vstable+git20260101.0117

=== debian/changelog ===
krdp (6.5.4+p24.04+vstable+git20260101.0117-0) noble; urgency=medium

  * Automatic Ubuntu CI Build

 -- Neon CI <neon@kde.org>  Thu, 01 Jan 2026 01:17:02 +0000
