## krdp 6.5.5+p24.04+vunstable+git20260130.1411

=== debian/changelog ===
krdp (6.5.5+p24.04+vunstable+git20260130.1411-0) noble; urgency=medium

  * Automatic Ubuntu CI Build

 -- Neon CI <neon@kde.org>  Fri, 30 Jan 2026 14:11:15 +0000
