=== src/kcm/CMakeLists.txt ===
--- 
+++ 
@@ -64,4 +64,10 @@
     K::KPipeWireRecord
 )
 
+# Link libsystemd when found and advertise feature to code
+if (Systemd_FOUND)
+    target_link_libraries(kcm_krdpserver PRIVATE Systemd::systemd)
+    target_compile_definitions(kcm_krdpserver PRIVATE HAVE_SYSTEMD)
+endif()
+
 ecm_qt_install_logging_categories(EXPORT kcm_krdpserver DESTINATION ${KDE_INSTALL_LOGGINGCATEGORIESDIR})
