=== debian/control ===
--- 
+++ 
@@ -18,7 +18,7 @@
                libkf6i18n-dev (>= 6.22.0~),
                libkf6kcmutils-dev (>= 6.22.0~),
                libkf6statusnotifieritem-dev (>= 6.22.0~),
-               libkpipewire-dev (>= 6.6.1~),
+               libkpipewire-dev (>= 6.6.2~),
                libpam0g-dev,
                libwinpr3-dev (>= 2.10~),
                libxkbcommon-dev,
